/*	level.c -- ljsdcdev
	Leveling up!
	ljsdcdev
	Copyright (C) 2003 Lawrence Sebald

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "ljsdcdev.h"

void lev_level_up(stat_data_t * stats)	{
	int random;

	stats->stats.level++;

	srand(time(NULL));
	if(stats->stats.rank == 0)	{
		random = ljsdcdev_random(1, 6);
	}
	else if(stats->stats.rank == 1)	{
		random = ljsdcdev_random(0, 4);
	}
	else	{
		random = ljsdcdev_random(1, 3);
	}
	stats->stats.hp += (random);
	if(stats->stats.rank == 2 || stats->stats.rank == 3)
		stats->stats.mp += (random);
	stats->stats.hp_rem = stats->stats.hp;
	stats->stats.mp_rem = stats->stats.mp;

	if(stats->stats.rank == 0)	{
		random = ljsdcdev_random(1, 3);
	}
	else if(stats->stats.rank == 1)	{
		random = ljsdcdev_random(1, 2);
	}
	else	{
		random = ljsdcdev_random(0, 2);
	}
	random = ljsdcdev_random(0, 2);
	stats->stats.attack += random;
	stats->stats.defense += random;

	if(stats->stats.rank == 1)	{
		random = ljsdcdev_random(1, 2);
	}
	else	{
		random = ljsdcdev_random(0, 1);
	}
	stats->stats.speed += random;

	if(stats->stats.rank == 0 || stats->stats.rank == 1)	{
		random = ljsdcdev_random(0, 1);
	}
	else	{
		random = ljsdcdev_random(1, 2);
	}
	stats->stats.mdef += random;
	stats->stats.matt += random;

	if(stats->stats.rank == 0)	{
		random = ljsdcdev_random(0, 1);
	}
	else	{
		random = ljsdcdev_random(1, 2);
	}
	stats->stats.intel += random;

	if(stats->stats.rank == 0)	{
		stats->stats.strength++;
	}
	else	{
		stats->stats.strength += ljsdcdev_random(0, 1);
	}
}
